CREATE TABLE `BDC_CARICO_RIPARTIZIONE` (
  `ID_CARICO_RIPARTIZIONE` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ID_CANALE` int(11) NOT NULL,
  `INCASSO_NETTO` decimal(20,10) NOT NULL,
  `INCASSO` enum('CONSOLIDATO','PARZIALE') NOT NULL DEFAULT 'CONSOLIDATO',
  `TIPO_DIRITTO` enum('DEM','DRM') NOT NULL,
  `SOSPESO_PER_CONTENZIOSO` bit(1) NOT NULL DEFAULT b'0',
  `REPORT_DISPONIBILE` bit(1) NULL DEFAULT NULL,
  `IMPORTO_RIPARTIBILE` bit(1) NULL DEFAULT NULL,
  `INIZIO_PERIODO_COMPETENZA` datetime NOT NULL,
  `FINE_PERIODO_COMPETENZA` datetime NOT NULL,
  `NOTA_COMMENTO_DIREZIONE_RIPARTIZIONE` varchar(2000) DEFAULT NULL,
  `NOTA_COMMENTO_UFFICIO_EMITTENTI` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`ID_CARICO_RIPARTIZIONE`),
  KEY `fk_BDC_CARICO_RIPARTIZIONE_1_idx` (`ID_CANALE`),
  KEY `index3` (`ID_CARICO_RIPARTIZIONE`),
  CONSTRAINT `fk_BDC_CARICO_RIPARTIZIONE_1` FOREIGN KEY (`ID_CANALE`) REFERENCES `bdc_canali` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
);

commit;